@echo off
SET ZIPNAME=Mpxplay_src_v305.zip
SET SRCDIR=\work\mpxplay
SET PACKDIR=A
del %ZIPNAME%
md %PACKDIR%
cd %PACKDIR%
md build

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% AU_CARDS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% AU_MIXER
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% CONTROL
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISKDRIV
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISPLAY
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISP_QT
rem call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISP_QT EVR
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISP_QT images
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DISP_QT installer
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% NEWFUNC
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% PLAYLIST
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% VIDEOOUT

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DEPARSER

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_AAC
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_AC3
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_APE
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_MP3
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_MPC
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_VORBI
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS AD_WAVPA
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DECODERS FFMPEGAC

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DEMUXERS

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MMC
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MMC DOCS

call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY COMMON
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY COMMON DOCS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY DOS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY DOS DOCS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY DOS32A
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY DOS4G
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY WIN32
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY WIN32 DOCS
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY WIN32F
call %SRCDIR%\docs\pack_dir.bat %SRCDIR% DOCS MPXPLAY WIN32F DOCS

copy %SRCDIR%\makegw > NUL
copy %SRCDIR%\makegwf > NUL
copy %SRCDIR%\makeqts > NUL
copy %SRCDIR%\makeqtsd > NUL
copy %SRCDIR%\makeqtsf > NUL
copy %SRCDIR%\makeqtsfd > NUL
copy %SRCDIR%\makeqtsf64 > NUL
copy %SRCDIR%\makeqtsf64d > NUL
copy %SRCDIR%\makewc > NUL
copy %SRCDIR%\gwf.bat > NUL
copy %SRCDIR%\qt.bat > NUL
copy %SRCDIR%\qt64.bat > NUL
copy %SRCDIR%\qt64d.bat > NUL
copy %SRCDIR%\qti.bat > NUL
copy %SRCDIR%\qti64.bat > NUL
copy %SRCDIR%\qts.bat > NUL
copy %SRCDIR%\qtsd.bat > NUL
copy %SRCDIR%\wcw.bat > NUL
copy %SRCDIR%\wcd32.bat > NUL
copy %SRCDIR%\wcd4g.bat > NUL
copy %SRCDIR%\*.c > NUL
copy %SRCDIR%\*.h > NUL
copy %SRCDIR%\MPXP_DOS32.LNK > NUL
copy %SRCDIR%\MPXP_DOS4G.LNK > NUL
copy %SRCDIR%\mpxp_win.lnk > NUL
copy %SRCDIR%\dos32a.exe
copy %SRCDIR%\stub_4g2.exe
copy %SRCDIR%\pmodew.exe
copy %SRCDIR%\docs\finals\readme.1st > NUL

c:\UTILS\7z.exe a -tzip -r -scsWIN %ZIPNAME% .\ > NUL
rem pkzip -r -P -ex mpxsrc > NUL

copy %ZIPNAME% ..
del %ZIPNAME%
cd ..
